BSL430.NET 1.2.1

Public Member Functions | Properties | List of all members
RJCP.IO.Ports.Native.ISerialBufferSerialData Interface Reference

Container structure for properties and methods related to the Native Serial object. More...

Inheritance diagram for RJCP.IO.Ports.Native.ISerialBufferSerialData:

## Public Member Functions
void | ReadBufferProduce (int count)
| Update the read circular queue indicating data has been received, and is available to the stream object. More...
void | WriteBufferConsume (int count)
| Update the write circular queue indicating data has been written, freeing space for more data to write. More...
bool | TxEmptyEvent ()
| Indicates that the write buffer is now empty. More...
void | Purge ()
| Purges the write buffer. More...
void | DeviceDead ()
| Indicates no read/write waits should occur, the device is dead. More...

## Properties
CircularBuffer< byte > | ReadBuffer`[get]`
| Access the read buffer directly. More...
IntPtr | ReadBufferOffsetEnd`[get]`
| Gets the read buffer offset end, used for giving to native API's. More...
CircularBuffer< byte > | WriteBuffer`[get]`
| Access the write buffer directly. More...
IntPtr | WriteBufferOffsetStart`[get]`
| Gets the write buffer offset start, used for giving to native API's. More...
bool | IsPinnedBuffer`[get]`
| Gets a value indicating whether this instance uses a pinned buffer. More...
WaitHandle | ReadBufferNotFull`[get]`
| Gets the event handle that is signalled when the read buffer is not full. More...
WaitHandle | WriteBufferNotEmpty`[get]`
| Gets the event handle that is signalled when data is in the write buffer. More...

## Detailed Description

Container structure for properties and methods related to the Native Serial object.

## Member Function Documentation

## ◆ DeviceDead()

void RJCP.IO.Ports.Native.ISerialBufferSerialData.DeviceDead | ( |  | ) |

Indicates no read/write waits should occur, the device is dead.

## ◆ Purge()

void RJCP.IO.Ports.Native.ISerialBufferSerialData.Purge | ( |  | ) |

Purges the write buffer.

## ◆ ReadBufferProduce()

void RJCP.IO.Ports.Native.ISerialBufferSerialData.ReadBufferProduce | ( | int | count | ) |

Update the read circular queue indicating data has been received, and is available to the stream object.

Parameters

  count | The count.

## ◆ TxEmptyEvent()

bool RJCP.IO.Ports.Native.ISerialBufferSerialData.TxEmptyEvent | ( |  | ) |

Indicates that the write buffer is now empty.

Returns
  `true` if the write buffer is empty.

Systems that return immediately after a Write before the write has been sent over the wire should call this method when the hardware indicates that data is flushed.

Systems that only return from the Write when data is completely written, or that do not receive events when the hardware buffer is empty, should call this method immediately after the Write is done.

Typically Windows systems may return before the hardware buffer is completely empty, where they notify later of an empty buffer with the EV_TXEMPTY event.

## ◆ WriteBufferConsume()

void RJCP.IO.Ports.Native.ISerialBufferSerialData.WriteBufferConsume | ( | int | count | ) |

Update the write circular queue indicating data has been written, freeing space for more data to write.

Parameters

  count | The count.

## Property Documentation

## ◆ IsPinnedBuffer

bool RJCP.IO.Ports.Native.ISerialBufferSerialData.IsPinnedBuffer
| get

Gets a value indicating whether this instance uses a pinned buffer.

`true` if this instance uses a pinned buffer; otherwise, `false`.

## ◆ ReadBuffer

CircularBuffer<byte> RJCP.IO.Ports.Native.ISerialBufferSerialData.ReadBuffer
| get

Access the read buffer directly.

The read buffer.

## ◆ ReadBufferNotFull

WaitHandle RJCP.IO.Ports.Native.ISerialBufferSerialData.ReadBufferNotFull
| get

Gets the event handle that is signalled when the read buffer is not full.

The event handle that is signalled when the read buffer is not full.

## ◆ ReadBufferOffsetEnd

IntPtr RJCP.IO.Ports.Native.ISerialBufferSerialData.ReadBufferOffsetEnd
| get

Gets the read buffer offset end, used for giving to native API's.

The read buffer offset end.

## ◆ WriteBuffer

CircularBuffer<byte> RJCP.IO.Ports.Native.ISerialBufferSerialData.WriteBuffer
| get

Access the write buffer directly.

The write buffer.

## ◆ WriteBufferNotEmpty

WaitHandle RJCP.IO.Ports.Native.ISerialBufferSerialData.WriteBufferNotEmpty
| get

Gets the event handle that is signalled when data is in the write buffer.

The event handle that is signalled when data is in the write buffer.

## ◆ WriteBufferOffsetStart

IntPtr RJCP.IO.Ports.Native.ISerialBufferSerialData.WriteBufferOffsetStart
| get

Gets the write buffer offset start, used for giving to native API's.

The write buffer offset start.

The documentation for this interface was generated from the following file:

- C:/PROJECTS/C#/BSL430.NET/src/BSL430.NET/Library/serialportstream/2.1.4/src/Native/ISerialBufferSerialData.cs